Delete property
curl --request DELETE \
--url https://api.poelis.com/v1/public/properties/{property_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.poelis.com/v1/public/properties/{property_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.poelis.com/v1/public/properties/{property_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": "unauthorized",
"message": "Invalid or missing API key"
}{
"error": "forbidden",
"message": "Access denied"
}{
"error": "not_found",
"message": "Not found"
}{
"error": "validation_error",
"message": "Invalid data format",
"details": {
"errors": [
{
"loc": [
"body",
"field_name"
],
"msg": "field required",
"type": "value_error.missing"
}
]
}
}{
"error": "rate_limit_exceeded",
"message": "Too many requests"
}Properties
Delete property
Soft-delete a property. Only draft properties can be deleted. Versioned properties (snapshots from product versions) cannot be deleted. Supports all property types including formula.
DELETE
/
v1
/
public
/
properties
/
{property_id}
Delete property
curl --request DELETE \
--url https://api.poelis.com/v1/public/properties/{property_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.poelis.com/v1/public/properties/{property_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.poelis.com/v1/public/properties/{property_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": "unauthorized",
"message": "Invalid or missing API key"
}{
"error": "forbidden",
"message": "Access denied"
}{
"error": "not_found",
"message": "Not found"
}{
"error": "validation_error",
"message": "Invalid data format",
"details": {
"errors": [
{
"loc": [
"body",
"field_name"
],
"msg": "field required",
"type": "value_error.missing"
}
]
}
}{
"error": "rate_limit_exceeded",
"message": "Too many requests"
}